| Home | Libraries | People | FAQ | More

## Struct template make_avltree_opt

boost::intrusive::make_avltree_opt — @

## Synopsis

    // In header: <boost/intrusive/avltree.hpp>

    template<typename T, typename O1 = none, typename O2 = none,
             typename O3 = none, typename O4 = none>
    struct make_avltree_opt {
      // types
      typedef pack_options< avl_set_defaults< T >, O1, O2, O3, O4 >::type                                                                          packed_options;
      typedef unspecified                                                                                                                          value_traits;
      typedef avl_setopt< value_traits, typename packed_options::compare, typename packed_options::size_type, packed_options::constant_time_size > type;
    };